.schedule {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.schedule h3 {
  font-family: var(--font-sans);
  font-size: 3rem;
  font-weight: 400;
}

.schedule h4 {
  font-family: var(--font-sans);
  font-size: 1.5rem;
  font-weight: 400;
}

.schedule .date h3 {
  font-weight: 600;
}

.schedule .line {
  background-color: var(--foreground);
  transform: rotate(30deg);
  width: 1px;
  height: 100%;
}

.schedule .weekday {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.worships {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.worship {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(var(--screen-sm), 1fr));
}

.worship h3 {
  font-family: var(--font-sans);
  font-weight: 600;
}

.worship-cover img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.worship-details {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  background-color: var(--gray-100);
  padding: 2rem;
}

.worship-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.worship-labels {
  display: flex;
  flex-wrap: wrap;
  gap: 0.75rem 1.5rem;
}

.worship-labels div {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-family: var(--font-sans);
}

@media (max-width: 1048px) {
  .schedule h3 {
    font-size: 2rem;
  }

  .schedule h4 {
    font-size: 1rem;
  }

  .worship-details {
    padding: 1.5rem;
  }
}